#!/bin/sh
wget http://yum.postgresql.org/9.2/redhat/rhel-5-i386/pgdg-centos92-9.2-6.noarch.rpm
sleep 1
if [ ! -f pgdg-centos92-9.2-6.noarch.rpm ]; then
	echo "Download failed"
	exit 2
fi

rpm -Uvh pgdg-centos92-9.2-6.noarch.rpm
yum -y install gcc SDL SDL-devel zlib-devel postgresql92 postgresql92-server postgresql-devel

################# Install gcc
unzip gcc-3.4.6.zip
cd gcc-3.4.6
./configure --prefix=/opt/gcc-3.4.6 -v --enable-languages=c,c++ && make -j4 && make install
res=$?
if [ $res -ne 0 ]; then
	echo "Installing gcc failed ($res)"
	exit 3
fi

cd ../
################# Install argos
tar xf argos-0.5.0.tgz
cd argos-0.5.0/src
./configure --cc=/opt/gcc-3.4.6/bin/gcc --prefix=/opt/argos --enable-lowmem --enable-dyntags --enable-net-tracker && make -j4 && make install
res=$?
if [ $res -ne 0 ]; then
	echo "Installing Argos failed ($res)"
	exit 4
fi

cd ../
################# Install network
#brctl addbr br0

